Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.common
Class IdentityConstraint

    java.lang.Object
      org.apache.xmlbeans.impl.common.IdentityConstraint

    public class IdentityConstraint

extends java.lang.Object

Identity constraint engine. Performs streaming validation of identity constraints. This includes key, keyref, & unique, as well as ID & IDRef.

Nested Class Summary
`class` | `IdentityConstraint.ConstraintState`
`class` | `IdentityConstraint.FieldState`
`class` | `IdentityConstraint.IdRefState`
`class` | `IdentityConstraint.IdState`
`class` | `IdentityConstraint.KeyrefState`
`class` | `IdentityConstraint.SelectorState`

Constructor Summary
`IdentityConstraint(java.util.Collection errorListener, boolean trackIdrefs)`

Method Summary
`void` | `attr(ValidatorListener.Event e, javax.xml.namespace.QName name, SchemaType st, java.lang.String value)`
`void` | `element(ValidatorListener.Event e, SchemaType st, SchemaIdentityConstraint[] ics)`
`void` | `endElement(ValidatorListener.Event e)`
`static XmlError` | `errorForEvent(java.lang.String msg, int severity, ValidatorListener.Event event)`
`static XmlError` | `errorForEvent(java.lang.String code, java.lang.Object[] args, int severity, ValidatorListener.Event event)`
`boolean` | `isValid()`
`void` | `text(ValidatorListener.Event e, SchemaType st, java.lang.String value, boolean emptyContent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityConstraint

    public IdentityConstraint(java.util.Collection errorListener,
                              boolean trackIdrefs)

Method Detail

### element

    public void element(ValidatorListener.Event e,
                        SchemaType st,
                        SchemaIdentityConstraint[] ics)

### endElement

    public void endElement(ValidatorListener.Event e)

### attr

    public void attr(ValidatorListener.Event e,
                     javax.xml.namespace.QName name,
                     SchemaType st,
                     java.lang.String value)

### text

    public void text(ValidatorListener.Event e,
                     SchemaType st,
                     java.lang.String value,
                     boolean emptyContent)

### isValid

    public boolean isValid()

### errorForEvent

    public static XmlError errorForEvent(java.lang.String code,
                                         java.lang.Object[] args,
                                         int severity,
                                         ValidatorListener.Event event)

### errorForEvent

    public static XmlError errorForEvent(java.lang.String msg,
                                         int severity,
                                         ValidatorListener.Event event)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD